POST /builder/revoke
Revoke a builder approval for your account.
POST https://api.aevo.xyz/builder/revoke
Authentication required. Include your
AEVO-KEYandAEVO-SECRETheaders. See Authentication.
Body Parameters
Field
Type
Required
Description
builder_id
string
Yes
Builder ID. Example: builder_0123456789abcdef
Example Request
curl --request POST \
--url https://api.aevo.xyz/builder/revoke \
--header 'accept: application/json' \
--header 'AEVO-KEY: <your-api-key>' \
--header 'AEVO-SECRET: <your-api-secret>' \
--header 'content-type: application/json' \
--data '{ ... }'Responses
200 — Whether or not the builder approval was successfully revoked.
Field
Type
Required
Description
success
boolean
Yes
Request successful if true. Example: true
400 — Bad request.
Field
Type
Required
Description
error
string
Yes
Error message. Example: ERR_MALFORMED_REQUEST
401 — Unauthorized.
Field
Type
Required
Description
error
string
Yes
Error message. Example: UNAUTHORIZED
429 — Rate limit exceeded.
Field
Type
Required
Description
error
string
Yes
Error message. Example: RATE_LIMIT_EXCEEDED
500 — Internal server error.
Field
Type
Required
Description
error
string
Yes
Error message. Example: INTERNAL_ERROR
Last updated
Was this helpful?

